Bug 1782986 - Unable to boot RHCOS instances on remote libvirtd on s390x
Summary: Unable to boot RHCOS instances on remote libvirtd on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Alex Crawford
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On:
Blocks: 1782992 1782994
TreeView+ depends on / blocked
 
Reported: 2019-12-12 18:46 UTC by Alex Crawford
Modified: 2020-05-13 21:55 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1782992 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:54:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2786 None closed terraform/plugins: update libvirt provider 2020-05-18 14:59:31 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:55:01 UTC

Description Alex Crawford 2019-12-12 18:46:14 UTC
s390x doesn't support the QEMU firmware config device that we use to pass Ignition configs through to RHCOS guests. As a fallback, libguestfish was used to modify the root disk to directly inject the Ignition config. This doesn't work on remote machines though, so the new approach is to use the RHCOS images built for OpenStack and to pass the Ignition config through the config-drive mechanism instead.

Comment 1 Alex Crawford 2019-12-12 18:56:16 UTC
This BZ is just a formality as the code has already been merged. I'm moving this to ON_QA.

Comment 2 Jeremy Poulin 2019-12-12 18:58:51 UTC
This bug has been verified by the IBM Z team.
Ji Chen <jichenjc@cn.ibm.com>

Moving it to verified.

Comment 4 errata-xmlrpc 2020-05-13 21:54:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.